limits.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Cumulative
| Scheduling for cumulative resources

## Functions

void | Gecode::Int::Cumulative::mul_check (long long int x, long long int y)
| Throw exception if multiplication of x and y overflows.
void | Gecode::Int::Cumulative::mul_check (long long int x, long long int y, long long int z)
| Throw exception if multiplication of x, y, and z overflows.